astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_HammerAitoff

# Sky2Pix_HammerAitoff

class `astropy.modeling.projections.``Sky2Pix_HammerAitoff`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.PseudoCylindrical`

  Hammer-Aitoff projection - sky to pixel.

  Corresponds to the `AIT` projection in FITS WCS.

  x &= 2 \gamma \cos \theta \sin \frac{\phi}{2} \\ y &= \gamma \sin \theta

  where:

  \gamma = \frac{180^\circ}{\pi} \sqrt{\frac{2}{1 + \cos \theta \cos(\phi / 2)}}

  Methods Summary

  `evaluate`(phi, theta) |

  Methods Documentation

  classmethod `evaluate`(phi, theta)